MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031350Open CASCADE[OCCT] OCCT:Application Frameworkpublic2020-02-05 17:202020-12-19 15:21
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031350: Application Framework - Dump improvement for OCAF classes
Description- Move dump of TDF_Attribute ID into base class;
- extend TDF_Attribute, TDocStd_Document with parameters;
- improve dump of some XCAFDoc/XCAFDimTolObjects instances.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031313closedbugmaster Foundation Classes - Dump improvement for classes 

-  Notes
(0097638)
git (administrator)
2020-12-16 12:30

Branch CR31350 has been created by nds.

SHA-1: a96c8ac65c82a339bf04cc0f9ab565e3def31680


Detailed log of new commits:

Author: nds
Date: Wed Dec 16 12:08:49 2020 +0300

    0031350: Inspectors - property view in DFBrowser for DumpJson
    
    - do not dump document in CDM_MetaData, just pointer text;
    - move ID dump in to TDF_Attribute;
    - extend TDF_Attribute with other important states(obtained by methods);
    - extend TDocStd_Document with other important states;
    - avoid dumping of shapes in TNaming_UsedShapes (it takes much time);
    - extend XCAFDoc, XCAFDimTolObjects dump to json;
    - correct XCAFDoc_ColorTool, XCAFDoc_MaterialTool, XCAFDoc_LayerTool to dump only connected to the object information;
    - correct XCAFDoc_Material to dump name and density value only if it exists;
    - add check on correct direction in gp_Ax3.
(0097661)
git (administrator)
2020-12-17 11:22

Branch CR31350 has been updated forcibly by nds.

SHA-1: 1e7388ceffafdb7f750c612c3d4df9a42d2a53b5
(0097684)
nds (developer)
2020-12-17 14:57

Dear Kirill,
could you please, review the patch.
Jenkins job is: http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31350-master-nds/ [^]

Thank you, Natalia
(0097685)
kgv (developer)
2020-12-17 15:03

+  if (!Direction().IsEqual (aDir, Precision::Confusion()))

Shouldn't it be Precision::Angular() here?

+  .
...
+//purpose  : .

It would be nice avoiding redundant trailing spaces in the patch.
(0097686)
git (administrator)
2020-12-17 15:18

Branch CR31350 has been updated forcibly by nds.

SHA-1: 47bd6e9f401753f89fc95eaa52b060880d5240a1
(0097687)
nds (developer)
2020-12-17 15:19

Corrected, please check.
(0097752)
bugmaster (administrator)
2020-12-19 14:50

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097765)
git (administrator)
2020-12-19 15:21

Branch CR31350 has been deleted by inv.

SHA-1: 47bd6e9f401753f89fc95eaa52b060880d5240a1

- Related Changesets
occt: master 39b707a6
Timestamp: 2020-12-16 09:08:49
Author: nds
Committer: bugmaster
Details ] Diff ]
0031350: Foundation Classes - Dump improvement for OCAF classes

- do not dump document in CDM_MetaData, just pointer text;
- move ID dump in to TDF_Attribute;
- extend TDF_Attribute with other important states(obtained by methods);
- extend TDocStd_Document with other important states;
- avoid dumping of shapes in TNaming_UsedShapes (it takes much time);
- extend XCAFDoc, XCAFDimTolObjects dump to json;
- correct XCAFDoc_ColorTool, XCAFDoc_MaterialTool, XCAFDoc_LayerTool to dump only connected to the object information;
- correct XCAFDoc_Material to dump name and density value only if it exists;
- add check on correct direction in gp_Ax3.
mod - src/CDM/CDM_MetaData.cxx Diff ] File ]
mod - src/gp/gp_Ax3.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_TreeNode.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_UAttribute.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cxx Diff ] File ]
mod - src/TNaming/TNaming_UsedShapes.cxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_DatumObject.cxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_DatumObject.hxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_DimensionObject.cxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_DimensionObject.hxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_GeomToleranceObject.cxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_GeomToleranceObject.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ColorTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Datum.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DimTolTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GraphNode.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_LayerTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Material.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_MaterialTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-02-05 17:20 nds New Issue
2020-02-05 17:20 nds Assigned To => nds
2020-02-05 17:21 nds Relationship added child of 0030268
2020-02-05 17:22 nds Description Updated View Revisions
2020-10-07 08:25 nds Target Version 7.5.0 => 7.6.0*
2020-12-16 12:30 git Note Added: 0097638
2020-12-17 11:22 git Note Added: 0097661
2020-12-17 14:57 nds Note Added: 0097684
2020-12-17 14:57 nds Assigned To nds => kgv
2020-12-17 14:57 nds Status new => resolved
2020-12-17 15:03 kgv Note Added: 0097685
2020-12-17 15:03 kgv Assigned To kgv => nds
2020-12-17 15:03 kgv Status resolved => assigned
2020-12-17 15:09 nds Summary Inspectors - property view in DFBrowser for DumpJson => Foundation Classes - Dump improvement for OCAF classes
2020-12-17 15:09 nds Description Updated View Revisions
2020-12-17 15:18 git Note Added: 0097686
2020-12-17 15:19 nds Note Added: 0097687
2020-12-17 15:19 nds Assigned To nds => kgv
2020-12-17 15:19 nds Status assigned => resolved
2020-12-17 15:22 nds Category OCCT:Inspectors => OCCT:Application Framework
2020-12-17 15:22 nds Summary Foundation Classes - Dump improvement for OCAF classes => Application Framework - Dump improvement for OCAF classes
2020-12-17 15:23 nds Relationship deleted child of 0030268
2020-12-17 15:24 nds Relationship added child of 0031313
2020-12-17 15:24 kgv Assigned To kgv => bugmaster
2020-12-17 15:24 kgv Status resolved => reviewed
2020-12-19 14:50 bugmaster Note Added: 0097752
2020-12-19 14:50 bugmaster Status reviewed => tested
2020-12-19 15:02 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 39b707a6
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:21 git Note Added: 0097765


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker